Name: libxml++
Version: 1.0.4
Release: alt1.1

Summary: libxml++ is a C++ wrapper for the libxml XML parser library.
License: LGPL
Group: System/Libraries
Url: http://libxmlplusplus.sourceforge.net/
Packager: Dmitriy Porollo <spider@altlinux.ru>

Source: %name-%version.tar.bz2
# Automatically added by buildreq on Mon Oct 18 2004
BuildRequires: gcc-c++ gcc-g77 glib2 libstdc++-devel libxml2-devel pkgconfig zlib-devel

#Requires:

%description
libxml++ is a C++ wrapper for the libxml XML parser library.
It's original author is Ari Johnson and it is currently maintained by Christophe de Vienne and Murray Cumming.

%prep
%setup -q

##%__subst 's,\.la,\.so,' configure
##%__subst 's/\(-Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g' configure 
##%__subst 's/\-lkdeui/-lkdeui -lpthread/g' configure
 
%build
%configure --disable-rpath
%make_build
%install
make DESTDIR=%buildroot install
#menu

%find_lang --with-kde %name

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS ChangeLog README
%_includedir/libxml++-1.0/%name/*.h
%_includedir/libxml++-1.0/%name/exceptions/*.h
%_includedir/libxml++-1.0/%name/io/*.h
%_includedir/libxml++-1.0/%name/nodes/*.h
%_includedir/libxml++-1.0/%name/parsers/*.h
%_libdir/libxml++-1.0.a
%_libdir/libxml++-1.0.so
%_libdir/libxml++-1.0.so.1
%_libdir/libxml++-1.0.so.1.0.3
%_libdir/pkgconfig/libxml++-1.0.pc


%changelog
* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.0.4-alt1.1
- Rebuilt with libstdc++.so.6.

* Mon Oct 18 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0.4-alt1
- 1.0.4-alt1 release
